<?php
header('Content-Type: application/json');

$key = ""; // Sem vložte klíč z nastavení pluginu

// Ověření bezpečnosti 
if (!function_exists('apache_request_headers')) {
    if ($_SERVER["HTTP_X_SB_AUTH"] !== $key) {
        echo json_encode('Access denied');
        die;
    }
} else {
    $headers = apache_request_headers();
    if (!array_key_exists('Authorization', $headers) || $headers['Authorization'] !== 'Basic ' . $key) {
        echo json_encode('Access denied');
        die;
    }
}

// Získání dat z requestu
$requestEmail = null;
$requestPhone = null;
if (array_key_exists('email', $_GET)) {
    $requestEmail = $_GET['email'];
}
if (array_key_exists('phone', $_GET)) {
    $requestPhone = $_GET['phone'];
}

// Nalezené údaje ve vaší databázi
$name = null; // jméno
$phone = null; // telefonní číslo
$email = null; // emailová adresa

// Pokud je kontakt nalezen, vrací jeho jméno a volitelně další údaje. Pokud není nalezen, vrátí null.
$output = [
    'name' => $name, // string|null
    'phone' => $phone, // string|null
    'email' => $email // string|null
];

echo json_encode($output);


?>